<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile doxygen_version="1.9.1">
  <compound kind="file">
    <name>email.h</name>
    <path>tdepim/libemailfunctions/</path>
    <filename>email_8h.html</filename>
    <namespace>KPIM</namespace>
    <member kind="enumeration">
      <type></type>
      <name>EmailParseResult</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>ae264878f406140142a8ea814d844269c</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT TQStringList</type>
      <name>splitEmailAddrList</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a3a52732098996382d42db6b89900e08b</anchor>
      <arglist>(const TQString &amp;aStr)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT EmailParseResult</type>
      <name>splitAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a7a967f7e1518775b7d3324fed2116ee5</anchor>
      <arglist>(const TQCString &amp;address, TQCString &amp;displayName, TQCString &amp;addrSpec, TQCString &amp;comment)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT EmailParseResult</type>
      <name>splitAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a4db0f1e132ec91073e0fa19468afa3e5</anchor>
      <arglist>(const TQString &amp;address, TQString &amp;displayName, TQString &amp;addrSpec, TQString &amp;comment)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT EmailParseResult</type>
      <name>isValidEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>af8dea606fd564a5cf9896606f565dbb4</anchor>
      <arglist>(const TQString &amp;aStr)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT TQString</type>
      <name>emailParseResultToString</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>ad76ad9c672ebd40d5869b2a8f613891a</anchor>
      <arglist>(EmailParseResult errorCode)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT bool</type>
      <name>isValidSimpleEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>adeee2bfca34c7e18b32b6d1affc51fca</anchor>
      <arglist>(const TQString &amp;aStr)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT TQString</type>
      <name>simpleEmailAddressErrorMsg</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a2f941b9bcff7b17115be2311d987da5a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT TQCString</type>
      <name>getEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a0157516c4d997577041fd7850338b404</anchor>
      <arglist>(const TQCString &amp;address)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT TQString</type>
      <name>getEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a53907e068d1b0377adc1ede7bef20759</anchor>
      <arglist>(const TQString &amp;address)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT TQCString</type>
      <name>getFirstEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>aa9b7442459a083d6da81292c0f6a75b2</anchor>
      <arglist>(const TQCString &amp;addresses)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT TQString</type>
      <name>getFirstEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a251082107d2a2c9597285dbe884a9155</anchor>
      <arglist>(const TQString &amp;addresses)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT bool</type>
      <name>getNameAndMail</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a3d06decacf0f727176287954fb13d14a</anchor>
      <arglist>(const TQString &amp;aStr, TQString &amp;name, TQString &amp;mail)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT bool</type>
      <name>compareEmail</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>af8a22fa04978b31079c495f18de6ffa2</anchor>
      <arglist>(const TQString &amp;email1, const TQString &amp;email2, bool matchName)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT TQString</type>
      <name>normalizedAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>ae47312318f8bf28b87261ebed2e19896</anchor>
      <arglist>(const TQString &amp;displayName, const TQString &amp;addrSpec, const TQString &amp;comment)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT TQString</type>
      <name>decodeIDN</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>add3062720384cb08bd1ad77195370790</anchor>
      <arglist>(const TQString &amp;addrSpec)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT TQString</type>
      <name>encodeIDN</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a12f9681cb4092d50ae1f21a493d4536e</anchor>
      <arglist>(const TQString &amp;addrSpec)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT TQString</type>
      <name>normalizeAddressesAndDecodeIDNs</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a1eb80e56a9b337cce7bc3c3082a3f901</anchor>
      <arglist>(const TQString &amp;addresses)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT TQString</type>
      <name>normalizeAddressesAndEncodeIDNs</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>afc8b0f50e9650072ad99ab8468d5f1b1</anchor>
      <arglist>(const TQString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT TQString</type>
      <name>quoteNameIfNecessary</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a8349d1f78aeaa046630785e60863d332</anchor>
      <arglist>(const TQString &amp;str)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::IdMapper</name>
    <filename>classKPIM_1_1IdMapper.html</filename>
    <member kind="function">
      <type></type>
      <name>IdMapper</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>aabcb9b58eb3cc8651b3baaa40da4f6c2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IdMapper</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>a4e558b816d88086e4b9347a7aa44e092</anchor>
      <arglist>(const TQString &amp;path, const TQString &amp;identifier=TQString())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~IdMapper</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>ad07bbfd789c3e6517eb5b2578650e4bc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPath</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>a940cff9e0baa9fb868745432b702a14e</anchor>
      <arglist>(const TQString &amp;path)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>path</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>adbf803c73edcd641d28a661c54f7473b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIdentifier</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>a80de4073277db2b66d4dbc33aa641db0</anchor>
      <arglist>(const TQString &amp;identifier)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>identifier</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>aa5cb519b6b9184c9101122f8b0d1413b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>load</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>a2f6d29d2a80837c9bb298e187a030d4e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>save</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>a77a4825834f626137f0aae38827ba43d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>a74b10758cfb38f49aa3f05ad100037af</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRemoteId</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>a81a5dfa60c2dcccf8c947ac23f4b8a9e</anchor>
      <arglist>(const TQString &amp;localId, const TQString &amp;remoteId)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeRemoteId</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>a8fc3ae9dec74555e81ca1dc7b549741b</anchor>
      <arglist>(const TQString &amp;remoteId)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>remoteId</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>a5ce280525336c51b34b8ebee86dd6078</anchor>
      <arglist>(const TQString &amp;localId) const</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>localId</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>a2927ded1aa9e9dcdb9dd124be368f319</anchor>
      <arglist>(const TQString &amp;remoteId) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFingerprint</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>a986ed9e2d7ef7c79aec9893e0387ca0a</anchor>
      <arglist>(const TQString &amp;localId, const TQString &amp;fingerprint)</arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>fingerprint</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>aa8a35895a949543a651c0e7a7c9bd654</anchor>
      <arglist>(const TQString &amp;localId) const</arglist>
    </member>
    <member kind="function">
      <type>TQMap&lt; TQString, TQString &gt;</type>
      <name>remoteIdMap</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>a00db7573ac40260f55439546ea5c6a2c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>asString</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>a3ee562ab87d00582cbbb2ec1b13a5a91</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>TQString</type>
      <name>filename</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>a7bd1d9ccbdecc53d467ea1980290a1c7</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::NetworkStatus</name>
    <filename>classKPIM_1_1NetworkStatus.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>Status</name>
      <anchorfile>classKPIM_1_1NetworkStatus.html</anchorfile>
      <anchor>a5f70609343c4f193a045aa476b2d409c</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>statusChanged</name>
      <anchorfile>classKPIM_1_1NetworkStatus.html</anchorfile>
      <anchor>a54be6237a21f6b633de6cd165411da1f</anchor>
      <arglist>(Status status)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~NetworkStatus</name>
      <anchorfile>classKPIM_1_1NetworkStatus.html</anchorfile>
      <anchor>aa1f54631fc9a6bc47292c5b22b4f69c4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStatus</name>
      <anchorfile>classKPIM_1_1NetworkStatus.html</anchorfile>
      <anchor>a1e0d58c1de17f406b32d2520d639b535</anchor>
      <arglist>(Status status)</arglist>
    </member>
    <member kind="function">
      <type>Status</type>
      <name>status</name>
      <anchorfile>classKPIM_1_1NetworkStatus.html</anchorfile>
      <anchor>a1d3954a85007a08b291408cff623aabd</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static NetworkStatus *</type>
      <name>self</name>
      <anchorfile>classKPIM_1_1NetworkStatus.html</anchorfile>
      <anchor>affc2957895b7e0f3fd5688eb9361f0ff</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>NetworkStatus</name>
      <anchorfile>classKPIM_1_1NetworkStatus.html</anchorfile>
      <anchor>a328fb9a09e00f229467ba593b2ae90e8</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KPIM</name>
    <filename>namespaceKPIM.html</filename>
    <class kind="class">KPIM::IdMapper</class>
    <class kind="class">KPIM::NetworkStatus</class>
    <member kind="enumeration">
      <type></type>
      <name>EmailParseResult</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>ae264878f406140142a8ea814d844269c</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT TQStringList</type>
      <name>splitEmailAddrList</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a3a52732098996382d42db6b89900e08b</anchor>
      <arglist>(const TQString &amp;aStr)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT EmailParseResult</type>
      <name>splitAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a7a967f7e1518775b7d3324fed2116ee5</anchor>
      <arglist>(const TQCString &amp;address, TQCString &amp;displayName, TQCString &amp;addrSpec, TQCString &amp;comment)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT EmailParseResult</type>
      <name>splitAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a4db0f1e132ec91073e0fa19468afa3e5</anchor>
      <arglist>(const TQString &amp;address, TQString &amp;displayName, TQString &amp;addrSpec, TQString &amp;comment)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT EmailParseResult</type>
      <name>isValidEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>af8dea606fd564a5cf9896606f565dbb4</anchor>
      <arglist>(const TQString &amp;aStr)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT TQString</type>
      <name>emailParseResultToString</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>ad76ad9c672ebd40d5869b2a8f613891a</anchor>
      <arglist>(EmailParseResult errorCode)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT bool</type>
      <name>isValidSimpleEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>adeee2bfca34c7e18b32b6d1affc51fca</anchor>
      <arglist>(const TQString &amp;aStr)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT TQString</type>
      <name>simpleEmailAddressErrorMsg</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a2f941b9bcff7b17115be2311d987da5a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT TQCString</type>
      <name>getEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a0157516c4d997577041fd7850338b404</anchor>
      <arglist>(const TQCString &amp;address)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT TQString</type>
      <name>getEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a53907e068d1b0377adc1ede7bef20759</anchor>
      <arglist>(const TQString &amp;address)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT TQCString</type>
      <name>getFirstEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>aa9b7442459a083d6da81292c0f6a75b2</anchor>
      <arglist>(const TQCString &amp;addresses)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT TQString</type>
      <name>getFirstEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a251082107d2a2c9597285dbe884a9155</anchor>
      <arglist>(const TQString &amp;addresses)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT bool</type>
      <name>getNameAndMail</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a3d06decacf0f727176287954fb13d14a</anchor>
      <arglist>(const TQString &amp;aStr, TQString &amp;name, TQString &amp;mail)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT bool</type>
      <name>compareEmail</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>af8a22fa04978b31079c495f18de6ffa2</anchor>
      <arglist>(const TQString &amp;email1, const TQString &amp;email2, bool matchName)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT TQString</type>
      <name>normalizedAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>ae47312318f8bf28b87261ebed2e19896</anchor>
      <arglist>(const TQString &amp;displayName, const TQString &amp;addrSpec, const TQString &amp;comment)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT TQString</type>
      <name>decodeIDN</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>add3062720384cb08bd1ad77195370790</anchor>
      <arglist>(const TQString &amp;addrSpec)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT TQString</type>
      <name>encodeIDN</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a12f9681cb4092d50ae1f21a493d4536e</anchor>
      <arglist>(const TQString &amp;addrSpec)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT TQString</type>
      <name>normalizeAddressesAndDecodeIDNs</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a1eb80e56a9b337cce7bc3c3082a3f901</anchor>
      <arglist>(const TQString &amp;addresses)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT TQString</type>
      <name>normalizeAddressesAndEncodeIDNs</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>afc8b0f50e9650072ad99ab8468d5f1b1</anchor>
      <arglist>(const TQString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT TQString</type>
      <name>quoteNameIfNecessary</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a8349d1f78aeaa046630785e60863d332</anchor>
      <arglist>(const TQString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>kAsciiToLower</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>aa7e658b703f73630b7852c858d0cf532</anchor>
      <arglist>(char *str)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>kAsciiToUpper</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>af0520be3d7964dd69630f1d580eac236</anchor>
      <arglist>(char *str)</arglist>
    </member>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>libemailfunctions</title>
    <filename>index.html</filename>
  </compound>
</tagfile>
